Offer
Get offers
AuthorizationBearer <token>
In: header
Query Parameters
page?number
Page number
Default
1Range
1 <= valueper_page?number
Number of offers per page
Default
20Range
1 <= value <= 100status?string
Filter by status (values: active, inactive, expired)
Default
nullValue in
"active" | "inactive" | "expired"search?string
Search in title and description
Default
nullamount_type?string
Filter by amount type (values: fixed, percentage, full)
Default
nullValue in
"fixed" | "percentage" | "full"applicable_to?string
Filter by applicable to
Default
nullpayment_provider?string
Filter by payment provider
Default
nullonly_ids?string
Filter by specific offer IDs
Default
nullexclude_ids?string
Exclude specific offer IDs
Default
nullinclude_ids?string
Include specific offer IDs
Default
nullResponse Body
curl -X GET "https://edushade.com/api/v1/billing/offer?page=1&per_page=20&status=active&amount_type=fixed"{}Empty
Empty
Empty